EDIT - feature request #5346

Allow 3 ways of ordering in Taxon Navigator
10/23/2015 05:26 PM - Andreas Miiller

Status: Feedback Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 70%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.0

Severity: normal

Description

We may want to have 3 options to change the ordering: natural, rank - alphabet, pure alphabet. Currently the preferences allow only
2 types of ordering, natural and non-natural. We may want to create an enumeration for this and a dropdown in the preference
section to choose from.

this is split from #3771

Associated revisions

Revision d97¢3532 - 03/14/2022 03:25 PM - Katja Luther

ref #5346: after changing order in navigator update automatically

Revision 2a648cc6 - 04/28/2022 11:55 AM - Katja Luther
ref #5346: adapt label and fix order of dialogs

History

#1 - 10/28/2015 02:20 PM - Katja Luther
- Target version deleted (Unassigned CDM tickets)

#2 - 02/23/2016 11:42 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from k.luther - to Andreas Miiller

fixed with r27323 and r27324

#3 - 03/31/2016 01:34 PM - Andreas Miiller
- Assignee changed from Andreas Miiller to k.luther -
The 3 options do now exist and work.

However, the natural ordering #3771 still doesn't work correctly. Choosing "Predecessor" adds the taxon at the higher level (as a predecessor of the
parent) and does not refresh the tree correctly.

Also the Message and the button labels in the selection parent-predecessor-cancel could still be improved and made more intuitive.

Finally, it is currently not easy to put a taxon as a first child of a parent if children already exist. Maybe we want to move a taxon at first position by
default if choosing "parent". Moving it to the last position can be done by moving it to the preceding taxon and choose "predecessor".

#4 - 03/31/2016 01:36 PM - Andreas Miiller
Also | wonder if we couldn't automatically refresh the navigator if the preferences is changed. The navigator does not have unpersisted data so this is

not dangerous (only may take some time, but needs to be done by the user anyway).

#5 - 04/04/2016 10:17 AM - Katja Luther

the natural order works now see r27609

#6 - 04/22/2016 11:56 AM - Katja Luther

now if the taxonnode is moved as child it is put as first child and the text is changed see r27777
#7 - 10/10/2019 05:44 PM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No

#8 - 03/14/2022 03:27 PM - Katja Luther

Andreas Muller wrote in #note-4:

Also | wonder if we couldn't automatically refresh the navigator if the preferences is changed. The navigator does not have unpersisted data so
this is not dangerous (only may take some time, but needs to be done by the user anyway).

this is fixed now.

#9 - 03/14/2022 03:36 PM - Katja Luther

Katja Luther wrote in #note-6:

now if the taxonnode is moved as child it is put as first child and the text is changed see r27777

Actually when creating a new child, this is added at the end, | think we should keep this as it is.

#10 - 03/14/2022 03:36 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

Please have a short look and then we can close this ticket.

#11 - 04/05/2022 02:51 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 70

What exactly is the reason, why taxa can't be moved in between 2 other taxa? Currently you always get asked if you want to move it as a child or
following sibling. Was the reason the old navigator which we do not use anymore.
If there is a possibility to allow in-between moving we should try to implement this similar to the term tree editor and others.

If it is not possible, then we should first ask where to move and then show the "Secundum reference differs" message as this message depends on
the exact target location.

Alos if it is not possible to move in-between the label for "Behind" should be "Below (as sibbling)" to make semantics clearer. In a tree view "behind" is
an clear term.

#12 - 04/28/2022 02:37 PM - Katja Luther

Andreas Muller wrote in #note-11:

What exactly is the reason, why taxa can't be moved in between 2 other taxa? Currently you always get asked if you want to move it as a child or
following sibling. Was the reason the old navigator which we do not use anymore.
If there is a possibility to allow in-between moving we should try to implement this similar to the term tree editor and others.

If it is not possible, then we should first ask where to move and then show the "Secundum reference differs" message as this message depends
on the exact target location.

Alos if it is not possible to move in-between the label for "Behind" should be "Below (as sibbling)" to make semantics clearer. In a tree view
"behind" is an clear term.

To move between two nodes is not possible in the navigator, | already made a lot of research to find a solution. | will change the order of the
secundum and the question where to move the node. The labels are adapted as well.

#13 - 04/29/2022 02:07 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

Everything is done, except a translation for sibbling in terms of trees? "Geschwister" sounds not very nice, actually | have as german label:
"Wollen Sie den Taxonknoten als Kind oder hinter den Zielknoten verschieben?"
